;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo-cm
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo-cm)

(defparameter *midi-program* "
*midi-program* ::= :acoustic-grand-piano :bright-acoustic-piano :electric-grand-piano
                   :honky-tonk :electric-piano-1 :electric-piano-2 :harpsichord
                   :clavicord

                   :celesta :glockenspiel :music-box :vibraphone :marimba :xylophone
                   :tubular-bells :dulcimmer

                   :drawbar-organ :percussive-organ :rock-organ :church-organ
                   :reel-organ :accordian :harmonica :tango-accordian

                   :nylon-acoustic-guitar :steel-acoustic-guitar :jazz-electric-guitar
                   :clean-electric-guitar :muted-electric-guitar :overdriven-guitar
                   :distortion-guitar :guitar-harmonics

                   :acoustic-bass :finger-electric-bass :pick-electric-bass
                   :fretless-bass :slap-bass-1 :slap-bass-2 :synth-bass-1 :synth-bass-2

                   :violin :viola :cello :contrabass :tremolo-strings
                   :pizzicato-strings :orchestral-strings :timpani

                   :string-ensemble-1 :string-ensemble-2 :synth-strings-1
                   :synth-strings-2 :choir-aahs :voice-oohs :synth-voice :orchestra-hit

                   :trumpet :trombone :tuba :muted-trompet :french-horn :brass-section
                   :synth-brass-1 :synth-brass-2

                   :soprano-sax :alto-sax :tenor-sax :baritone-sax :oboe :english-horn
                   :bassoon :clarinet

                   :piccolo :flute :recorder :pan-flute :blown-bottle :shakuhachi
                   :whistle :ocarina

                   :square-lead :sawtooth-lead :calliope-lead :chiff-lead :charang-lead
                   :voice-lead :fifths-lead :bass+lead

                   :new-age-pad :warm-pad :polysynth-pad :choir-pad :bowed-pad
                   :metallic-pad :halo-pad :sweep-pad

                   :rain :soundtrack :crystal :atmosphere :brightness :goblins
                   :echoes :sci-fi

                   :sitar :banjo :shamisen :koto :kalimba :bagpipe :fiddle :shanai

                   :tingle-bell :agogo :steel-drums :woodblock :taiko-drum :melodic-tom
                   :synth-drum :reverse-cymbal

                   :guitar-fret-noise :breath-noise :seashore :bird-tweet
                   :telephone-ring :helicopter :applause :gunshot" )