(in-package :cm)

;;; reset CM host to the parent directory of this file

(let ((here (truename *load-pathname*)))
  (set-cm-host-dir "**;*.*" 
                   (namestring
                    (make-pathname 
                     :device (pathname-device here)
                     :host (pathname-host here)
                     :directory (append 
                                 (butlast (pathname-directory here))
                                 '(:wild-inferiors))
                     :name ':wild :type ':wild))))

#+MI_D
(progn
  ;; to set automatic MIDI connections:
  ;; each connection is a list (<in> <out>)
  ;(setf *midi-default-connections* '(("" "QuickTime Music"))) 

  ;; to disable automatic MIDI open:
  ;(setf *MIDI-OPEN-AUTOMATICALLY* NIL)
  )

(load (make-pathname :host compo::*host*
                     :device compo::*device*
                     :directory `(,@compo::*compo-root*)
                     :name "localization"
                     :type compo::*source-type* ))