;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defmethod make-constant ((compo abstract-note)(context context-item))

"Primary method
   make-constant specialized on 'abstract-compo' and 'context-item'
Behaviour
   Returns an instance of the class 'cnote' sharing the slots 'name', 'hei', 'dur',
   'pos', 'voi', 'dyn', 'subs' and coercer from
   compo."

  (make-instance 'cnote
    :name (name compo)
    :hei (hei compo)
    :dur (dur compo)
    :pos (pos compo)
    :voi (voi compo)
    :dyn (dyn compo)
    :subs (subs compo)
    :coercer (coercer compo) ) )