;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defun not-a-voi-coercer-p (val)

  (labels ((g (val)
             (and val (or (not-a-voi-p (car val)) (g (cdr val)))) ))
    
    (or (atom val)
        (not (eq (car val) 'quote))
        (if (atom (cadr val))
          (or (not (symbolp (cadr val)))
              (and (null (get (cadr val) 'type-spec-p))
                   (null (ignore-errors (symbol-function (cadr val)))) ) )
          (progn
            (if (atom (caadr val))
              (null (ignore-errors (symbol-function (caadr val))))
              (progn
                (null (ignore-errors (symbol-function (caaadr val))))
                (g (cdaadr val)) ) )
            (g (cdadr val)) ) ) ) ) )